//
//  MainViewController.h
//  BalanceBall
//
//  Created by Chris Adamson on 6/15/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import "FlipsideViewController.h"

@interface MainViewController : UIViewController <FlipsideViewControllerDelegate, UIAccelerometerDelegate> {
	//START:code.BalanceBall.MainViewController.ballheaders
	CGFloat ballX;
	CGFloat ballY;
	CGFloat ballVelocityX;
	CGFloat ballVelocityY;
	NSTimeInterval lastAccelTimestamp;
	//END:code.BalanceBall.MainViewController.ballheaders
	
	// whether to use low-level accelerometer filter
	int filterPref;
	
	// previously-computed and possibly filtered acceleration values
	UIAccelerationValue filteredAccelX;
	UIAccelerationValue filteredAccelY;
}

- (IBAction)showInfo;

@end
