//
//  LayerDelegateAppDelegate.m
//  LayerDelegate
//
//  Created by Bill Dudney on 7/7/08.
//  Copyright Gala Factory 2008. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import "LayerDelegateViewController.h"

@implementation LayerDelegateViewController

@synthesize basketBall;

- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event {
    [UIView beginAnimations:@"movement" context:nil]; //<label id="code.coreanimation.simple.touchesEnded"/>
    CGPoint center = basketBall.center;
    if(center.y > 85.0f) {
        center.y -= 295.0f;
        basketBall.center = center;
    } else {
        center.y += 295.0f;
        basketBall.center = center;
    }
    [UIView commitAnimations];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
	[super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
	// Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[super dealloc];
}

@end
