//
//  TrackEditingViewController.h
//  Conference
//
//  Created by Bill Dudney on 5/11/09.
//  Copyright 2009 Gala Factory Software LLC. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import <UIKit/UIKit.h>

@class Track;

@interface TrackEditingViewController : UIViewController <UITextFieldDelegate, UITextViewDelegate> {
  UITextField *_nameField;
  UITextView *_abstractText;
  Track *_selectedTrack;
}

@property(nonatomic, retain) IBOutlet UITextField *nameField;
@property(nonatomic, retain) IBOutlet UITextView *abstractText;
@property(nonatomic, retain) Track *selectedTrack;

@end
