//
//  ConferenceAppDelegate.h
//  Conference
//
//  Created by Bill Dudney on 5/11/09.
//  Copyright Gala Factory Software LLC 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

//START:code01.conference.app.delegate.header
@interface ConferenceAppDelegate : NSObject <UIApplicationDelegate> {
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;	    
    NSPersistentStoreCoordinator *persistentStoreCoordinator;

    UIWindow *window;
    UINavigationController *navigationController;
}

@property (nonatomic, retain, readonly) 
        NSManagedObjectModel *managedObjectModel;//<label id="code01.prop.mom"/>
@property (nonatomic, retain, readonly) 
        NSManagedObjectContext *managedObjectContext;//<label id="code01.prop.moc"/>
@property (nonatomic, retain, readonly) 
        NSPersistentStoreCoordinator *persistentStoreCoordinator;//<label id="code01.prop.psc"/>
@property (nonatomic, readonly) NSString *applicationDocumentsDirectory;//<label id="code01.prop.appdir"/>

@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet 
        UINavigationController *navigationController;

- (IBAction)saveAction:sender;

@end
//END:code01.conference.app.delegate.header
