//
//  TrivialCompilerErrorsViewController.m
//  TrivialCompilerErrors
//
//  Created by Chris Adamson on 10/9/08.
//  Copyright Subsequently and Furthermore, Inc. 2008. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import "TrivialCompilerErrorsViewController.h"

@implementation TrivialCompilerErrorsViewController



/*
// Override initWithNibName:bundle: to load the view using a nib file then perform additional customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically.

// WARNING: PATHOLOGICAL CODE.  THIS DOES NOT COMPILE.
//START:code.TrivialCompilerErrors.propertytypo
- (void)loadView {
	[super loadView];
	textView.txt = @"Hi mom";
}
//END:code.TrivialCompilerErrors.propertytypo››
*/

/* The correct version of this method is as follows:
 */
- (void)loadView {
	[super loadView];
	textView.text = @"Hi mom";
}




/*
// Implement viewDidLoad to do additional setup after loading the view.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
    [super dealloc];
}

@end
