//
//  CreateFileViewController.h
//  FilesystemExplorer
//
//  Created by Chris Adamson on 11/5/08.
//  Copyright 2008 Subsequently and Furthermore, Inc.. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>
#import "DirectoryViewController.h"


@interface CreateFileViewController : UIViewController {
	NSString *parentDirectoryPath;
	DirectoryViewController *directoryViewController;
	UITextField *fileNameField;
	UITextView *fileContentsView;
//START:code.FilesystemExplorer.outputstreamivars
	NSOutputStream *asyncOutputStream;
	NSData *outputData;
	NSRange outputRange;
//END:code.FilesystemExplorer.outputstreamivars

}


//START:code.FilesystemExplorer.create-file-properties
@property (nonatomic,retain) IBOutlet UITextField *fileNameField;
@property (nonatomic,retain) IBOutlet UITextView *fileContentsView;	
@property (nonatomic,retain) NSString *parentDirectoryPath;
@property (nonatomic,retain) DirectoryViewController *directoryViewController;
//END:code.FilesystemExplorer.create-file-properties


@end
