//
//  FlipsideViewController.h
//  FlippingPreferableClock
//
//  Created by Chris Adamson on 10/30/08.
//  Copyright Subsequently and Furthermore, Inc. 2008. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>

@interface FlipsideViewController : UIViewController<UIPickerViewDataSource, UIPickerViewDelegate> {
	IBOutlet UIPickerView *timeZonePicker;
	IBOutlet UISwitch *twentyFourHourSwitch;
	NSArray *timeZoneNames;
}

-(NSString*) selectedTimeZone;
-(void) setSelectedTimeZone: (NSString* )tz;
-(BOOL) uses24Hour;
-(void) setUses24Hour: (BOOL) u24h;

@end
