//
//  DistanceViewController.h
//  Distance
//
//  Created by Bill Dudney on 11/6/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

@interface DistanceViewController : UIViewController <CLLocationManagerDelegate> {
  CLLocationManager *locationManager;
  NSMutableArray *locations;
  UILabel *lastUpdate;
  UILabel *totalDistance;
  UILabel *averageSpeed;
}

@property(nonatomic, retain) CLLocationManager *locationManager;
@property(nonatomic, retain) NSMutableArray *locations;

@property(nonatomic, retain) IBOutlet UILabel *lastUpdate;
@property(nonatomic, retain) IBOutlet UILabel *totalDistance;
@property(nonatomic, retain) IBOutlet UILabel *averageSpeed;

- (void)updateDisplay;

@end

