//
//  ContactMapperViewController.h
//  ContactMapper
//
//  Created by Bill Dudney on 5/18/09.
//  Copyright Gala Factory Software LLC 2009. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import <AddressBookUI/AddressBookUI.h>

@class ContactAnnotation;

@interface ContactMapperViewController : UIViewController
        <CLLocationManagerDelegate, ABPeoplePickerNavigationControllerDelegate, 
          MKMapViewDelegate, ABPersonViewControllerDelegate> {
  MKMapView *_mapView;
  ContactAnnotation *_newAnnotation;
}

@property(nonatomic, retain) IBOutlet MKMapView *mapView;
@property(nonatomic, retain) ContactAnnotation *newAnnotation;

- (IBAction)choose;

@end

