//
//  PCMSettingsViewController.h
//  AudioRecorderPlayer
//
//  Created by Chris Adamson on 5/17/09.
//  Copyright 2009 Subsequently and Furthermore, Inc.. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>
@class RecordViewController;

@interface PCMSettingsViewController : UIViewController {

	UITextField *sampleRateField;
	UISwitch *stereoSwitch;
	UITextField *sampleDepthField;
	UISwitch *bigEndianSwitch;
	UISwitch *floatingSamplesSwitch;
	RecordViewController *recController;
}

@property (nonatomic, retain) IBOutlet UITextField *sampleRateField;
@property (nonatomic, retain) IBOutlet UISwitch *stereoSwitch;
@property (nonatomic, retain) IBOutlet UITextField *sampleDepthField;
@property (nonatomic, retain) IBOutlet UISwitch *bigEndianSwitch;
@property (nonatomic, retain) IBOutlet UISwitch *floatingSamplesSwitch;
@property (nonatomic, retain) IBOutlet RecordViewController *recController;


// note to self - in IB, ctrl-drag from nav bar button to action changes 
// "selector" to the action name in the connections inspector
-(IBAction) handleDoneTapped;

@end
