//
//  PlayViewController.m
//  AudioRecorderPlayer
//
//  Created by Chris Adamson on 5/17/09.
//  Copyright 2009 Subsequently and Furthermore, Inc.. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import "PlayViewController.h"


@implementation PlayViewController

@synthesize  filePicker,  playPauseButton, stopButton,
	currentTimeLabel, currentTimeSlider, durationLabel, 
	leftLevelMeter, rightLevelLabel, rightLevelMeter, volumeSlider;


/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/


#pragma mark UIPickerViewDataSource methods
-(NSInteger) pickerView: (UIPickerView*) pickerView
		numberOfRowsInComponent: (NSInteger) component {
	return 0;
}

- (NSInteger) numberOfComponentsInPickerView:(UIPickerView *)pickerView {
	return 1;
}

#pragma mark UIPickerViewDelegate methods
- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row
			forComponent:(NSInteger)component {
	return NULL;
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row
	   inComponent:(NSInteger)component {
}
	 


#pragma mark event handlers
-(IBAction) handlePlayPauseTapped {
}

-(IBAction) handleStopTapped {
}

-(IBAction) handleCurrentTimeScrubberTouchDown {
}

-(IBAction) handleCurrentTimeScrubberTouchUp {
}

-(IBAction) handleCurrentTimeScrub {
}

-(IBAction) handleVolumeScrub {
}


#pragma mark VC lifecycle methods

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
 */
- (void)viewDidLoad {
    [super viewDidLoad];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[filePicker release];
	[playPauseButton release];
	[stopButton release];
	[currentTimeLabel release];
	[currentTimeSlider release];
	[durationLabel release];
	[leftLevelMeter release];
	[rightLevelLabel release];
	[rightLevelMeter release]; 
	[volumeSlider release];
}


@end
