//
//  SimpleTwitterClientViewController.h
//  SimpleTwitterClient
//
//  Created by Chris Adamson on 4/17/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>

@interface SimpleTwitterClientViewController : UIViewController {
	UITextView *tweetsView;
	UIActivityIndicatorView *activityIndicator;

	NSMutableData *tweetsData;
//START:code.SimpleTwitterClientViewController.parsingheaders
	NSMutableString *tweetsString;
	NSMutableDictionary *currentTweetDict;
	NSString *currentElementName;
	NSMutableString *currentText;
//END:code.SimpleTwitterClientViewController.parsingheaders
	NSSet *interestingTags;
}

@property (nonatomic, retain) IBOutlet UITextView *tweetsView;
@property (nonatomic, retain) IBOutlet UIActivityIndicatorView *activityIndicator;

-(IBAction) updateTweets;

@end

