//
//  Movie.m
//  MovieEditor
//
//  Created by Bill Dudney on 4/22/09.
//  Copyright 2009 Gala Factory Software LLC. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import "Movie.h"


//START:code.Movie.implementation
@implementation Movie

@synthesize title;
@synthesize boxOfficeGross;
@synthesize summary;

- (id)initWithTitle:(NSString *)newTitle 
     boxOfficeGross:(NSNumber *)newBoxOfficeGross
            summary:(NSString *)newSummary {
  self = [super init]; // <label id="code.Movie.super.init"/>
  if(nil != self) {
    self.title = newTitle;
    self.boxOfficeGross = newBoxOfficeGross;
    self.summary = newSummary;
  }
  return self;
}

- (void) dealloc { // <label id="code.Movie.dealloc"/>
  self.title = nil;
  self.boxOfficeGross = nil;
  self.summary = nil;
  [super dealloc];
}

@end
//END:code.Movie.implementation
