//
//  Movie.h
//  MovieEditor
//
//  Created by Bill Dudney on 4/22/09.
//  Copyright 2009 Gala Factory Software LLC. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <Foundation/Foundation.h>

//START:code.Movie.interface
@interface Movie : NSObject {
  NSString *title;
  NSNumber *boxOfficeGross;
  NSString *summary;
}

- (id)initWithTitle:(NSString *)newTitle 
     boxOfficeGross:(NSNumber *)newBoxOfficeGross
            summary:(NSString *)newSummary;

@property(nonatomic, copy) NSString *title;
@property(nonatomic, copy) NSNumber *boxOfficeGross;
@property(nonatomic, copy) NSString *summary;

@end
//END:code.Movie.interface
