//
//  MovieEditorViewController.h
//  MovieEditor
//
//  Created by Bill Dudney on 4/23/09.
//  Copyright 2009 Gala Factory Software LLC. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import <UIKit/UIKit.h>

//START: code.MovieEditorViewController.interface
@class Movie;

@interface MovieEditorViewController : UIViewController <UITextFieldDelegate> {
  UITextField *titleField;
  UITextField *boxOfficeGrossField;
  UITextField *summaryField;
  Movie *movie;
}

@property(nonatomic, retain) IBOutlet UITextField *titleField;
@property(nonatomic, retain) IBOutlet UITextField *boxOfficeGrossField;
@property(nonatomic, retain) IBOutlet UITextField *summaryField;
@property(nonatomic, retain) Movie *movie;

- (IBAction)done;

@end
//END: code.MovieEditorViewController.interface
