//
//  MainViewController.h
//  BalanceBall
//
//  Created by Chris Adamson on 12/7/08.
//  Copyright Subsequently and Furthermore, Inc. 2008. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>
#import "MainView.h";

@interface MainViewController : UIViewController <UIAccelerometerDelegate> {
//START:code.BalanceBall.MainViewController.ballheaders
	CGFloat ballX;
	CGFloat ballY;
	CGFloat ballVelocityX;
	CGFloat ballVelocityY;
	NSTimeInterval lastAccelTimestamp;
	IBOutlet MainView *mainView;
//END:code.BalanceBall.MainViewController.ballheaders

	// whether to use low-level accelerometer filter
	int filterPref;

	// previously-computed and possibly filtered acceleration values
	UIAccelerationValue filteredAccelX;
	UIAccelerationValue filteredAccelY;
}

- (void) setUsesFilter: (int)theFilter;

@end
