//
//  MainView.h
//  BalanceBall
//
//  Created by Chris Adamson on 6/15/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>

//START:code.BalanceBall.MainView.header
@interface MainView : UIView {
	CGRect ballRect;
	CGRect oldBallRect;
}
-(void) setBallX: (CGFloat) newX Y: (CGFloat) newY;
-(void) setBallWidth: (CGFloat) newW height: (CGFloat) newH;
//END:code.BalanceBall.MainView.header

// note: this style of no-ivar property declaration only compiles for the device. since 
// accelerometer is meaningless on the simulator, we figured it would be OK here
//START:code.BalanceBall.MainView.shakedelegate
@property (nonatomic, retain) id shakeDelegate;
//END:code.BalanceBall.MainView.shakedelegate

@end
