//
//  RootViewController.h
//  AddressBook
//
//  Created by Bill Dudney on 1/2/09.
//  Copyright Gala Factory Software LLC 2009. All rights reserved.
//

//START:code.RVC.header
#import <UIKit/UIKit.h>
#import <AddressBookUI/AddressBookUI.h>

@interface RootViewController : UITableViewController
    <ABPeoplePickerNavigationControllerDelegate,
     ABPersonViewControllerDelegate> {
  NSMutableArray *contactNames;
  NSMutableArray *contactIDs;
}

@property(nonatomic, retain) NSMutableArray *contactNames;
@property(nonatomic, retain) NSMutableArray *contactIDs;

- (IBAction)makeNewEntry;

@end
//END:code.RVC.header