//
//  Track.h
//  Conference
//
//  Created by Bill Dudney on 5/13/09.
//  Copyright 2009 Gala Factory Software LLC. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import <CoreData/CoreData.h>

//START:code.Track.interface
@class Session;

@interface Track :  NSManagedObject {
}

@property (nonatomic, retain) NSString * trackAbstract;
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSSet* sessions;

@end

@interface Track (CoreDataGeneratedAccessors) //<label id="code.Track.CDGA"/>
- (void)addSessionsObject:(Session *)value;
- (void)removeSessionsObject:(Session *)value;
- (void)addSessions:(NSSet *)value;
- (void)removeSessions:(NSSet *)value;
@end
//END:code.Track.interface
