//
//  BundlePrefereableClockViewController.h
//  BundlePrefereableClock
//
//  Created by Chris Adamson on 6/23/08.
//  Copyright Subsequently and Furthermore, Inc. 2008. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>

@interface BundlePrefereableClockViewController : UIViewController {
	UILabel *timeLabel;
	UILabel *timeZoneLabel;

	BOOL show24Hour;
	NSString *timeZoneName;
	NSDateFormatter *clockFormatter;
	NSTimer *clockViewUpdateTimer;
}

@property (nonatomic, retain) IBOutlet UILabel *timeLabel;
@property (nonatomic, retain) IBOutlet UILabel *timeZoneLabel;


@end

