//
//  FileOverviewViewController.h
//  FilesystemExplorer
//
//  Created by Chris Adamson on 11/4/08.
//  Copyright 2008 Subsequently and Furthermore, Inc.. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>


@interface FileOverviewViewController : UIViewController {
	NSString *filePath;
	UILabel *fileNameLabel;
	UILabel *fileSizeLabel;
	UILabel *fileModifiedLabel;
	
}
//START:code.FilesystemExplorer.file-overview-ibactions
-(void) updateFileOverview;
-(IBAction) readFileContents;
//END:code.FilesystemExplorer.file-overview-ibactions

@property (nonatomic, retain) NSString *filePath;

//START:code.FilesystemExplorer.file-overview-iboutlets
@property (nonatomic, retain) IBOutlet UILabel *fileNameLabel;
@property (nonatomic, retain) IBOutlet UILabel *fileSizeLabel;
@property (nonatomic, retain) IBOutlet UILabel *fileModifiedLabel;
//END:code.FilesystemExplorer.file-overview-iboutlets


@end
