//
//  MainViewController.h
//  FlippingPreferableClock
//
//  Created by Chris Adamson on 10/30/08.
//  Copyright Subsequently and Furthermore, Inc. 2008. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>

@interface MainViewController : UIViewController {
    IBOutlet UILabel* timeLabel;
	IBOutlet UILabel* timeZoneLabel;

	NSDateFormatter *clockFormatter;
	NSTimer *clockViewUpdateTimer;
}

-(void) setClockToTimeZoneName: (NSString*) tz uses24Hour: (BOOL) u24h;

@end
