//
//  LocationDisplayViewController.h
//  LocationDisplay
//
//  Created by Bill Dudney on 11/4/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

@interface LocationDisplayViewController : UIViewController 
<CLLocationManagerDelegate> {
  CLLocationManager *locationManager;
  UITextField *longitudeTextField;
  UITextField *latitudeTextField;
  UITextField *headingTextField;
}

@property(nonatomic, retain) CLLocationManager *locationManager;
@property(nonatomic, retain) IBOutlet UITextField *longitudeTextField;
@property(nonatomic, retain) IBOutlet UITextField *latitudeTextField;
@property(nonatomic, retain) IBOutlet UITextField *headingTextField;

@end

