//
//  FirstViewController.m
//  AudioRecorderPlayer
//
//  Created by Chris Adamson on 5/17/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import "RecordViewController.h"


@implementation RecordViewController


@synthesize filenameField, formatSegments, formatButton, currentTimeLabel,
	recordPauseButton, stopButton,
	leftLevelLabel, leftLevelMeter, rightLevelLabel, rightLevelMeter, 
	pcmSettingsViewController, encodingSettingsViewController;


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

#pragma mark helper methods

#pragma mark UITextField delegates

- (void)textFieldDidEndEditing:(UITextField *)textField {
	[textField resignFirstResponder];
}

- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	[textField resignFirstResponder];
	return YES;
}


#pragma mark button handlers
-(IBAction) handleFormatButtonTapped {
}

-(IBAction) handleFormatSegmentChange {
}

-(IBAction) handleRecordPauseTapped {
}

-(IBAction) handleStopTapped {
}


# pragma mark VC lifecycle methods
/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
 */
- (void)loadView {
	[super loadView];
}

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
 */
- (void)viewDidLoad {
    [super viewDidLoad];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[filenameField release];
	[formatSegments release];
	[formatButton release];
	[currentTimeLabel release];
	[recordPauseButton release];
	[stopButton release];
	[leftLevelLabel release];
	[leftLevelMeter release]; 
	[rightLevelLabel release];
	[rightLevelMeter release];  
	[pcmSettingsViewController release];
	[encodingSettingsViewController release];
	
}

@end
