//
//  WebPageViewController.h
//  BonjourWebBrowser
//
//  Created by Chris Adamson on 7/21/08.
//  Copyright 2008 Subsequently and Furthermore, Inc.. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>


@interface WebPageViewController : UIViewController <UIWebViewDelegate> {
	IBOutlet UIWebView *webView;
	IBOutlet UILabel *urlLabel;
	IBOutlet UIActivityIndicatorView *resolutionActivityIndicator;
}
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil netService:(NSNetService *)discoveredService;

@end
