//
//  FirstViewController.h
//  DatabaseShoppingList
//
//  Created by Chris Adamson on 3/27/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import <UIKit/UIKit.h>


@interface AddItemViewController : UIViewController <UIPickerViewDelegate,
			UIPickerViewDataSource, UITextFieldDelegate> {
	
	UITextField *itemNameField;
	UITextField *priceField;
	UIPickerView *groupPicker;
	UILabel *statusLabel;
	
}
- (IBAction) addShoppingListItem: (id) sender;

@property (nonatomic, retain) IBOutlet UITextField *itemNameField;
@property (nonatomic, retain) IBOutlet UITextField *priceField;
@property (nonatomic, retain) IBOutlet UIPickerView *groupPicker;
@property (nonatomic, retain) IBOutlet UILabel *statusLabel;

@end
