//
//  FirstViewController.m
//  DatabaseShoppingList
//
//  Created by Chris Adamson on 3/27/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import "AddItemViewController.h"
#import "DatabaseShoppingListAppDelegate.h"

// group names
NSString *ADD_GROUP_NAMES[] = {@"Groceries", @"Tech"};

@implementation AddItemViewController

@synthesize itemNameField, priceField, groupPicker, statusLabel;


#pragma mark UIPickerViewDataSource implementation
-(NSInteger) pickerView: (UIPickerView*) pickerView numberOfRowsInComponent: (NSInteger) component {
	return 2;
}

- (NSInteger) numberOfComponentsInPickerView:(UIPickerView *)pickerView {
	return 1;
}

#pragma mark UIPickerViewDelegate implementation
- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component {
	return ADD_GROUP_NAMES[row];
}

#pragma mark UITextFieldDelegate implementation
- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	[textField resignFirstResponder];
	return YES;
}

#pragma mark action for button click
- (IBAction) addShoppingListItem: (id) sender {
	
}

#pragma mark app lifecycle
- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)dealloc {
    [super dealloc];
}

@end
