//
//  RootViewController.h
//  MovieTable
//
//  Created by Chris Adamson on 6/1/09.
//  Copyright Subsequently and Furthermore, Inc. 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//


#import "MovieEditorViewController.h"
#import "Movie.h"

@interface RootViewController : UITableViewController {

	MovieEditorViewController *movieEditor;
	Movie *editingMovie;
	NSMutableArray *moviesArray;
	UITableViewCell *nibLoadedCell;
}

@property (nonatomic, retain) IBOutlet MovieEditorViewController *movieEditor;
@property (nonatomic, retain) IBOutlet UITableViewCell *nibLoadedCell;

-(IBAction) handleAddTapped;



@end
/* this version of the @interface is quoted in the book's text
//START:code.RootViewController.interfacewithnibloadedcell
@interface RootViewController : UITableViewController {
		// ... other ivars omitted here for space
		UITableViewCell *nibLoadedCell;
}

@property (nonatomic, retain) IBOutlet MovieEditorViewController *movieEditor;
@property (nonatomic, retain) IBOutlet UITableViewCell *nibLoadedCell;

-(IBAction) handleAddTapped;

@end
//END:code.RootViewController.interfacewithnibloadedcell
*/

