//
//  MovieViewController.h
//  Movie
//
//  Created by Bill Dudney on 4/29/09.
//  Copyright Gala Factory Software LLC 2009. All rights reserved.
//
//
//  Licensed with the Apache 2.0 License
//  http://apache.org/licenses/LICENSE-2.0
//

#import <UIKit/UIKit.h>


//START: code.MovieViewController.h.interface
@class Movie;
//START_HIGHLIGHT
@class MovieEditorViewController;
//END_HIGHLIGHT

@interface MovieViewController : UIViewController {
  Movie *movie;
  UILabel *titleLabel;
  UILabel *boxOfficeGrossLabel;
  UILabel *summaryLabel;
    //START_HIGHLIGHT
  MovieEditorViewController *editingViewController;
    //END_HIGHLIGHT
}

@property(nonatomic, retain) Movie *movie;
@property(nonatomic, retain) IBOutlet UILabel *titleLabel;
@property(nonatomic, retain) IBOutlet UILabel *boxOfficeGrossLabel;
@property(nonatomic, retain) IBOutlet UILabel *summaryLabel;
//START_HIGHLIGHT
@property(nonatomic, retain) IBOutlet 
      MovieEditorViewController *editingViewController;
//END_HIGHLIGHT

- (IBAction)edit;

@end
//END: code.MovieViewController.h.interface

